Subject: Re: [PATCH v2 net-next 5/5] net: ethernet: mtk_wed: add reset/reset_complete callbacks

From: Kalle Valo <[email-masked]>
Date: Mon, 09 Jan 2023 16:46:39 +0200

(now back from vacation)

Jakub Kicinski <[email-masked]> writes:

> On Thu, 5 Jan 2023 12:49:49 +0100 Lorenzo Bianconi wrote:
>> > > These callbacks are implemented in the mt76 driver. I have not added these
>> > > patches to the series since mt76 patches usually go through Felix/Kalle's
>> > > trees (anyway I am fine to add them to the series if they can go into net-next
>> > > directly).  
>> > 
>> > Usually patches that use specific functionality are submitted together
>> > with API changes.  
>> 
>> I would say it is better mt76 patches go through Felix/Kalle's tree in order to avoid
>> conflicts.
>> 
>> @Felix, Kalle: any opinions?
>
> FWIW as long as the implementation is in net-next before the merge
> window I'm fine either way. But it would be good to see the
> implementation, a co-posted RFC maybe?

FWIW I agree with Lorenzo, it would be good to get mt76 patches via
Felix's tree. Otherwise the conflicts might be annoying to fix.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches